/*******************************************************************************
 * Copyright (c) 2015 ALL4TEC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Jonathan Dumont (ALL4TEC) - initial API and implementation
 ******************************************************************************/
package org.polarsys.esf.core.common.ui.provider;

import org.apache.commons.lang3.StringUtils;
import org.eclipse.core.resources.IFile;
import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.LabelProvider;

/**
 * Label provider for display name file in combo box.
 * 
 * @author $Author: jdumont $
 * @version $Revision: 83 $
 */
public class FileLabelProvider
    extends LabelProvider
    implements ILabelProvider {

    /**
     * Default constructor.
     */
    public FileLabelProvider() {
        super();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String getText(final Object pElement) {
        String vDiplayedText = StringUtils.EMPTY;

        // If element is an file, return file name
        if (pElement instanceof IFile) {
            IFile vFile = (IFile) pElement;

            vDiplayedText = vFile.getProjectRelativePath().toOSString();

        }

        return vDiplayedText;
    }

}
