/*******************************************************************************
 * Copyright (c) 2015 ALL4TEC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Jonathan Dumont (ALL4TEC) - initial API and implementation
 ******************************************************************************/
package org.polarsys.esf.core.common.ui.provider;

import org.eclipse.jface.action.ToolBarManager;

/**
 * An interface for all the editors which want to provide their own tool bar manager.
 * This allows for external classes (like the actions contributors) to access to the
 * toolbar manager getter even if they don't know their concrete implementation.
 * 
 * @author  $Author: jdumont $
 * @version $Revision: 83 $
 */
public interface IToolBarManagerProvider {
    
    /**
     * Return the tool bar manager provided by the concrete instance.
     * @return The tool bar manager provided
     */
    ToolBarManager getToolBarManager();

}
