/*******************************************************************************
 * Copyright (c) 2015 ALL4TEC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Jonathan Dumont (ALL4TEC) - initial API and implementation
 ******************************************************************************/
package org.polarsys.esf.core.common.ui.wizard;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IExportWizard;
import org.eclipse.ui.IImportWizard;
import org.eclipse.ui.IWorkbench;
import org.polarsys.esf.core.common.ui.CommonUIActivator;

/**
 * 
 * Wizard "not implemented", used to link with import not implemented yet.
 * 
 * @author $Author: jdumont $
 * @version $Revision: 83 $
 */
public class NotImplementedWizard
    extends Wizard
    implements IImportWizard, IExportWizard {

    /** Title for dialog. */
    private static final String DIALOG_MSG =
        CommonUIActivator.getMessages().getString("NotImplementedWizard.warning.implemented.not.label"); //$NON-NLS-1$

    /** Msg for dialog. */
    private static final String DIALOG_TITLE =
        CommonUIActivator.getMessages().getString("NotImplementedWizard.warning.implemented.not.title"); //$NON-NLS-1$

    /**
     * Default constructor.
     */
    public NotImplementedWizard() {
        MessageDialog.openInformation(getShell(), DIALOG_TITLE, DIALOG_MSG);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init(final IWorkbench pWorkbench, final IStructuredSelection pSelection) {
        // Nothing to do here.

    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean performFinish() {
        // Nothing to do here.
        return false;
    }

}
